Unit AGG1R_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, AFG3R_p, AGT1R_p;

procedure AGG1R(var A :Array of Real; var B :Array of Real;
                var ALFA :Array of Real; var BETA :Array of Real;
                var WK :Array of Real; N :Integer;
                var IERR :Integer);

implementation

procedure AGG1R(var A :Array of Real; var B :Array of Real;
                var ALFA :Array of Real; var BETA :Array of Real;
                var WK :Array of Real; N :Integer;
                var IERR :Integer);
var
I,NPI,JA,J :Integer;
const
ZERO :Real = 0.0;
label
_1,_2;
begin
AFG3R(A,B,A,N,1);
AGT1R(A,B,ALFA[0],ALFA[N+0],BETA,N,IERR);
for I:=1 to N do
 begin
  NPI := N+I;
  WK[I-1] := ALFA[NPI-1];
_1:
 end;
JA := N+N;
J := N;
for I:=1 to N do
 begin
  ALFA[JA-2] := ALFA[J-1];
  ALFA[JA-1] := WK[J-1];
  JA := JA-2;
  J := J-1;
_2:
 end;
end;

end.
